package presentation;

import java.awt.Color;
import java.awt.Dimension;
import java.util.Scanner;

import javax.swing.JFrame;
import javax.swing.JLabel;

import dao.*;
import services.Traitements;


/**
 * interface entre utilisateur final et le programme
 * @author Djimangue
 * @version 2.0 Gestion des Patients
 *
 */
public class AccueilPatient {
	private static Scanner sc;
	
	public static void main(String[] args) {
		
		Traitements traitements= new Traitements();//Creation de l'objet traitements(via cet objet nous pourrons au besoin faire appel  un savoir faire de la classe Traitement)
		traitements.pageAccueil();
		
		Patient patient = new Patient();
		sc = new Scanner(System.in);
		
		patient.setNumTicket(0000001);
		sc = new Scanner(System.in);
		System.out.print("PRENOM:");
			patient.setPrenom(sc.nextLine());
		System.out.print("NOM:");
			patient.setNom(sc.next());
		patient.setAge(23);
		patient.setPriseEnCharge(1);
		patient.setTelephone(772345476);
		System.out.print("ADRESSE:");
		patient.setAdresse(sc.next());
		System.out.print("E-MAIL:");
		patient.setEmail(sc.next());	
		
		traitements.genererMatricule(patient);
		System.out.println("Le matricule du patient "+patient.getNumTicket()+" est: "+patient.getMatricule()+'\n');
		
		ServicesHospitaliers servicesHp = new ServicesHospitaliers();
		servicesHp.setNumService(2);
		
		System.out.println(patient.getPrenom() +" "+patient.getNom()+" est orient au service:"+traitements.serviceSoignant(servicesHp)+'\n');

		System.out.println("Le montant de sa facture consultation est:"+traitements.facturation(patient)+'\n');
		
		traitements.affichePatient(patient);
				
		 	//Fentre pour dire au revoir
			
			JFrame frame = new JFrame("GestionPatients");
			frame.getContentPane().setBackground(Color.white);
			
	        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	        frame.setMinimumSize(new Dimension(300,100));
	        frame.setLocationRelativeTo(null);
	       
	        frame.getContentPane().add(new JLabel("Bye!!! A la prochaine saisie d'un patient."));
	        
	        frame.setVisible(true);

	}
}
